<?php
session_start();
error_reporting(0);
$user_name=$_SESSION['user_name'];

	if($_SESSION['user_name']==""){ 
		header('Location: index.php');
	}
	include("database_connection.php");
	 

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>View:Fereport</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<?php //title();?>
<link type="text/css" rel="stylesheet" href="Library/css/style-menu.css"   />
<link type="text/css" rel="stylesheet" href="Library/css/style-content.css"   />
<script type="text/javascript" src="Library/js/jquery-1.3.1.min.js" > </script> 
<script type="text/javascript">

    function PrintElem(elem)
    {
        Popup($(elem).html());
    }

    function Popup(data) 
    {
        var mywindow = window.open('', 'Billing Application Dashboard', 'height=650,width=750');
        mywindow.document.write('<html><head><title>Billing Application Dashboard</title>');
        /*optional stylesheet*/ //mywindow.document.write('<link rel="stylesheet" href="main.css" type="text/css" />');
        mywindow.document.write('</head><body >');
        mywindow.document.write(data);
        mywindow.document.write('</body></html>');

        mywindow.print();
        mywindow.close();

        return true;
    }

</script>
<script language="JavaScript" type="text/javascript">  
   function checkdelete(){
		var r=confirm("Are you sure to delete?");
		if (r==true){
			return true;
		}
		else{
			return false;
		}
	}
	</script>      

<style>
.borderHeader{
	border:1px;
	border-style:solid;
	height:73px;
	background-color:white;
}
.centerimage{
	margin-top:20px;
}
.pagename
{
	text-align:center;
	margin-top:-60px;
	color:#8B0000;
}

.airtellogo
{
   margin-top:-60px;

}	
.center {
 text-align: center
}
td { 
	
	height:15px;
}
</style>
<link type="text/css" href="menu/menu_admin.css" rel="stylesheet" />
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
<script language="JavaScript" src="newdate/calendar_us.js"></script>
  <link rel="stylesheet" href="newdate/calendar.css">


</head>
<body>
	<div class="borderHeader">
	<div align=left><img src="images/kmspl.PNG" /></div><div class="pagename"><h2>VIEW FE REPORT  STATUS</h2></div>
</div>
	<?php 
	if(($_SESSION['uniqe_id']=='S'))
	{
	include("menu/menu_superadmin.php");
	}
	elseif(($_SESSION['uniqe_id']=='A') or ($_SESSION['uniqe_id']=='T'))
	{
	include("menu/menu_admin.php");
	}
	elseif(($_SESSION['uniqe_id']=='D'))
	{
	include("menu/menu_deo.php");
	}
	elseif(($_SESSION['uniqe_id']=='X'))
	{
	include("menu/menu_scanner.php");
	}
	else
	{
	header('Location: index.php');
	}
	?>
	<form method="post" action=" " name="view_fereporttodaydate" id="view_fereportdate">
	<?php
	if(isset($_POST['txtsubmit']) && $_POST['txtsubmit']=='REFRESH')
	{
	$_POST['dump_date']='';
	$_POST['dump_date1']='';
	$_POST['zone']='';
	}
	if(isset($_POST['txtsubmit']) && $_POST['txtsubmit']=='SEARCH')
 	{  
	$dump_date=$_POST['dump_date'];
	$dump_date1=$_POST['dump_date1'];
	$zone=$_POST['zone'];
	}

	date_default_timezone_set('Asia/Calcutta');
	?>
	<table style="width:100%"   align="center"> 
	<tr>
	<td align="center" style="width:85%;">
	<table  border="1" bgcolor="white" style="width:85%;" class="table table-striped" > 
	<tr>
	<td align="center" ><b>Zone</b> &nbsp;&nbsp;
				<select name="zone" id="zone"  style="width:200px;height:35px;" required >
				<option value="<?php echo $_POST['zone'];?>"><?php echo $_POST['zone'];?></option>
				<option value="DELHI NCR">DELHI NCR</option>
				<option value="NATIONAL">NATIONAL</option>
				<?php
				$sqlzone="select distinct(zone) from user_tbl where uniqe_id='F' and zone not in ('BACKEND','NATIONAL',' ')  order by zone asc ";
				$resultzone=mysqli_query($conn,$sqlzone);
				while($datazone=mysqli_fetch_array($resultzone))
				{
				?>
				<option value="<?php echo $datazone['zone'];?>"><?php echo $datazone['zone'];?></option>
				<?php
				}
				?>
				<option value="All">All</option>
				</select>
 &nbsp;&nbsp;<input type="submit" name="txtsubmit"  value="SEARCH" id="searchbutton" > 
		
			<input type="submit" name="txtsubmit"  value="REFRESH" id="searchbutton"> 
&nbsp;&nbsp;
	

</td>
	</tr>
	</table>
	</td>
	</tr>
	</table>
	<table style="width:100%"   align="center"> 
	<tr>
	<td align="center" style="width:85%;">
	<table  border="1" bgcolor="white" style="width:85%;" class="table table-striped" > 
	<thead>
	<tr height="25">
				<th class="center" ><b>Sr No</b></th>				
				<th class="center"><b>Fe Name</b></th>				
				<th class="center"><b>Mobile No</b></th>
				<th class="center"><b>Zone</b></th>
				<th class="center"><b>City</b></th>
				<th class="center"><b>First Attempt</b></th>
				<th class="center"><b>Last Attempt</b></th>
				<th class="center"><b>Allocation</b></th>
				<th class="center"><b>Done</b></th>
				<th class="center"><b>Pending</b></th>
				<th class="center"><b>Tat %</b></th>
			</tr>
		 </thead>
		 <tbody>
		<?php
		$dy=explode('-',$dump_date1);
		$y=$dy[2];
		$dump_date=date('m-d-Y');
		if( $zone!="All")
		{
		
		if($zone=="DELHI NCR")
		{
		$queryr="SELECT distinct(allocation_tbl.user_code) FROM `allocation_tbl`,`user_tbl` WHERE ( allocation_tbl.report_date = '$dump_date' or allocation_tbl.status='4') and allocation_tbl.user_code !='2000001918' and allocation_tbl.user_code=user_tbl.user_code  and user_tbl.zone in ('EAST','CENTRAL','GHAZIABAD','NOIDA','NORTH','SOUTH','WEST','FARIDABAD','GURGAON') and (allocation_tbl.month like '%$y%' )  order by user_tbl.zone asc";
	$resultr = MYSQLI_QUERY($conn,$queryr);
		}
		elseif($zone=="NATIONAL")
		{
		$queryr="SELECT distinct(allocation_tbl.user_code) FROM `allocation_tbl`,`user_tbl` WHERE (allocation_tbl.status='4' or allocation_tbl.report_date = '$dump_date') and allocation_tbl.user_code !='2000001918' and allocation_tbl.user_code=user_tbl.user_code  and user_tbl.zone not in ('EAST','CENTRAL','GHAZIABAD','NOIDA','NORTH','SOUTH','WEST','FARIDABAD','GURGAON') and (allocation_tbl.month like '%$y%' )  order by user_tbl.zone asc";
	$resultr = MYSQLI_QUERY($conn,$queryr);
		}
		else
		{
	$queryr="SELECT distinct(allocation_tbl.user_code) FROM `allocation_tbl`,`user_tbl` WHERE (allocation_tbl.status='4' or allocation_tbl.report_date = '$dump_date' )  and allocation_tbl.user_code=user_tbl.user_code and (allocation_tbl.month like '%$y%' ) and user_tbl.zone='$zone' order by user_tbl.first_name asc";
	$resultr = MYSQLI_QUERY($conn,$queryr);
	}
	}	
	elseif($zone=="All")
		{
		
		
	$queryr="SELECT distinct(allocation_tbl.user_code) FROM `allocation_tbl`,`user_tbl` WHERE (allocation_tbl.status='4' or allocation_tbl.report_date = '$dump_date')  and allocation_tbl.user_code=user_tbl.user_code and (allocation_tbl.month like '%$y%' )  order by user_tbl.zone asc";
	$resultr = MYSQLI_QUERY($conn,$queryr);
	}
	else
	{
	}	
	 $j=1;
	while($data=mysqli_fetch_array($resultr)) {
	
	$user_code=$data['user_code'];
	$sqlfe="select first_name,last_name,mobile,zone,location from user_tbl where user_code='$user_code' ";
	$resultuser=mysqli_query($conn,$sqlfe);
	$datauser=mysqli_fetch_array($resultuser);
	$sqlalloc="select count(id) as num from allocation_tbl where user_code='$user_code' and status='4'  " ;
	$resultalloc=mysqli_query($conn,$sqlalloc);
	$dataalloc=mysqli_fetch_array($resultalloc);
	/*echo$sqlalloc2="select count(id) as num from allocation_tbl where user_code='$user_code' and  unix_time>'$min' and unix_time<='$unix_time' and status!='4'   and report_date!='$dump_date'" ;
	$resultalloc2=mysql_query($sqlalloc2);
	$dataalloc2=mysql_fetch_array($resultalloc2);*/
	$sqldone="select count(id) as num from allocation_tbl where user_code='$user_code' and report_date = '$dump_date'   and month like '%$y%'" ;
	$resultdone=mysqli_query($conn,$sqldone);
	$datadone=mysqli_fetch_array($resultdone);
	$done=$datadone[0];
	$allocations=$dataalloc[0];
	//$allocations2=$dataalloc2[0];
	$allocation=$allocations+$done;
	$allocationt +=$allocation;
	$donet +=$done;
	$pending=$allocation-$done;
	$pendingt +=$pending;
	$dir=$user_code;
	$dir2=$zone;
	/*$sqlattempt="select report_time from allocation_tbl where  user_code='$user_code' and report_date = '$dump_date'  and month like '%$y%'  order by feunixtime asc ";
	$resultattempt=mysqli_query($conn,$sqlattempt);
	$dataattempt=mysqli_fetch_array($resultattempt); 
	$sqlattemptl="select report_time from allocation_tbl where  user_code='$user_code' and report_date = '$dump_date'  and month like '%$y%'  order by feunixtime desc ";
	$resultattemptl=mysqli_query($conn,$sqlattemptl);
	$dataattemptl=mysqli_fetch_array($resultattemptl); */
	$sqlfetime="select first_time,last_time  from fetime_tbl  where user_code='$user_code' and dump_date = '$dump_date'  and month like '%$y%'  ";
	$resultfetime=mysqli_query($conn,$sqlfetime);
	$datafetime=mysqli_fetch_array($resultfetime); 
	if($j%2==0)
		 {
		 $color="#FFFAFA";  
		 }
		 else
		 {
		 $color="white";  
 		}
		if($pending>0)
		{
		$bg="#FFA07A";
		}
		else
		{
		$bg="white";
		}
		if($pending2>0)
		{
		$bg2="#FFFF00";
		}
		else
		{
		$bg2="white";
		}
		
	if($allocation>0)
	{
	?>

<tr  bgcolor=" <?php echo $color;?>" height="15">
<td   align="center"><font size="2"><b><?php echo $j ;?></b></font></td>
<td align="center"><font size="2"><b><?php echo strtoupper($datauser['first_name'].' '.$datauser['last_name']);?></b></font></td>
<td align="center"><font size="2"><b><?php echo strtoupper($datauser['mobile']);?></b></font></td>
<td   align="center"><font size="2"><b><?php echo $datauser['zone'];?></b></font></td>
<td   align="center"><font size="2"><b><?php echo $datauser['location'];?></b></font></td>
<td   align="center"><font size="2"><b><?php echo $datafetime['first_time'];?></b></font></td>
<td   align="center"><font size="2"><b><?php echo $datafetime['last_time'];?></b></font></td>
<td  align="center"  style="height:10px;"><font size="4" ><b><?php echo $allocation;?></b></font></td>
<td  align="center"  style="height:10px;"><font size="4" ><a href="" onClick="window.open('detailsfedonetoday.php?id=<?php echo "$dir"; ?>','popup','width=950,height=500,scrollbars=yes,resizable=no,toolbar=no,directories=no,location=center,menubar=no,status=no,left=100,top=100'); return false"><b><?php echo $done;?></b></a></font></td>
<td  align="center"  style="height:10px;"><font size="4" ><a href="" onClick="window.open('detailsfependingtoday.php?id=<?php echo "$dir"; ?>','popup','width=950,height=500,scrollbars=yes,resizable=no,toolbar=no,directories=no,location=center,menubar=no,status=no,left=100,top=100'); return false"><b><?php echo $pending;?></b></a></font></td>
<td   align="center"><font size="2"><b><?php echo round(($done*100)/$allocation);?> %</b></font></td>
</tr>
<?php
	$j++; } } ?>
<tr >
<td align="center"><font size="2"><b></b></font></td>
<td align="center"><font size="2"><b></b></font></td>
<td align="center"><font size="2"><b></b></font></td>
<td align="center"><font size="2"><b></b></font></td>
<td align="center"><font size="2"><b></b></font></td>
<td align="center"><font size="2"><b></b></font></td>
<td align="center"><font size="2"><b>Total</b></font></td>
<td  align="center" ><font size="4"><b><?php echo $allocationt;?></b></font></td>
<td  align="center" ><font size="4"><a href="" onClick="window.open('detailsallfedonetoday.php?id=<?php echo "$dir2"; ?>','popup','width=1250,height=500,scrollbars=yes,resizable=no,toolbar=no,directories=no,location=center,menubar=no,status=no,left=100,top=100'); return false"><b><?php echo $donet;?></b></a></font></td>
<td  align="center" ><font size="4"><b><a href="" onClick="window.open('detailsallfependingtoday.php?id=<?php echo "$dir2"; ?>','popup','width=950,height=500,scrollbars=yes,resizable=no,toolbar=no,directories=no,location=center,menubar=no,status=no,left=100,top=100'); return false"><b><?php echo $pendingt;?></b></a></font></td>
<td   align="center"><font size="2"><b><?php echo round(($donet*100)/$allocationt);?> %</b></font></td>
</tr>
</tbody>
 </table>
</td>
</tr>
</table>

</div>
</body>
</html>			
